Google Web Toolkit (Beta)
Search this site:

# Class JAbstractMethod

public class JAbstractMethod
extends Object
implements HasMetaData
// Superclass of `JMethod`, `JConstructor`
Common superclass for JMethod and JConstructor.

## Methods

addMetaData(String, String[]) | Adds additional metadata.
addModifierBits(int) |
addThrows(JType) |
findParameter(String) |
getBodyEnd() |
getBodyStart() |
getDeclEnd() |
getDeclStart() |
getEnclosingType() | Gets the type in which this method or constructor was declared.
getMetaData(String) | Gets each list of metadata for the specified tag name.
getMetaDataTags() | Gets the name of available metadata tags.
getModifierBits() |
getName() |
getParameters() |
getReadableDeclaration() |
getThrows() |
isConstructor() |
isDefaultAccess() |
isMethod() |
isPrivate() |
isProtected() |
isPublic() |
toStringParamsAndThrows(StringBuffer) |

## Method Detail

### addMetaData

public void addMetaData(String tagName, String[] values)
Adds additional metadata.

#### Parameters

tagName
values

### addModifierBits

public void addModifierBits(int bits)

#### Parameters

bits

### addThrows

public void addThrows(JType type)

#### Parameters

type

### findParameter

public JParameter findParameter(String name)

#### Parameters

name

### getBodyEnd

public int getBodyEnd()

### getBodyStart

public int getBodyStart()

### getDeclEnd

public int getDeclEnd()

### getDeclStart

public int getDeclStart()

### getEnclosingType

public abstract JClassType getEnclosingType()
Gets the type in which this method or constructor was declared.

### getMetaData

public String[][] getMetaData(String tagName)
Gets each list of metadata for the specified tag name.

#### Parameters

tagName

### getMetaDataTags

public String[] getMetaDataTags()
Gets the name of available metadata tags.

### getModifierBits

protected int getModifierBits()

### getName

public String getName()

### getParameters

public JParameter[] getParameters()

### getReadableDeclaration

public abstract String getReadableDeclaration()

### getThrows

public JType[] getThrows()

### isConstructor

public abstract JConstructor isConstructor()

### isDefaultAccess

public boolean isDefaultAccess()

### isMethod

public abstract JMethod isMethod()

### isPrivate

public boolean isPrivate()

### isProtected

public boolean isProtected()

### isPublic

public boolean isPublic()

### toStringParamsAndThrows

protected void toStringParamsAndThrows(StringBuffer sb)

#### Parameters

sb